### Method

# Gtk TextView set_cursor_visible

#### Declaration [src]

    void
    gtk_text_view_set_cursor_visible (
      GtkTextView* text_view,
      gboolean setting
    )

#### Description [src]

Toggles whether the insertion point should be displayed.

A buffer with no editable text probably shouldn’t have a visible cursor, so you may want to turn the cursor off.

Note that this property may be overridden by the `GtkSettings:gtk-keynav-use-caret` setting.

Sets property | `Gtk.TextView:cursor-visible`

#### Parameters

`setting` | `gboolean`
| Whether to show the insertion cursor.